%define upstream_name    CatalystX-CMS
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A drop-in content management system for Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Static::Simple::ByClass)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(CatalystX::CRUD)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Path::Class::File::Lockable)
BuildRequires: perl(SVN::Class)
BuildRequires: perl(Template::Plugin::Handy)
BuildRequires: perl(Template::Provider::Encoding)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
CatalystX::CMS is a drop-in content management system that allows you to
manage your Catalyst app templates via a web-based editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.11.0-6.mga9
+ Revision: 1817036
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.11.0-5.mga8
+ Revision: 1493466
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.11.0-4.mga7
+ Revision: 1265977
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.11.0-3.mga6
+ Revision: 1023409
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.11.0-2.mga6
+ Revision: 951353
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.11.0-1.mga5
+ Revision: 805368
- imported package perl-CatalystX-CMS


* Wed Dec 24 2014 Buchan Milne <buchan> 0.011-1mga
- initial mageia release, generated with cpan2dist
